openSUSE Security Update: Security update for libmspack______________________________________________________________________________Announcement ID: openSUSE-SU-2022:0069-1Rating: lowReferences: #1113040 Cross-References: CVE-2018-18586CVSS scores: CVE-2018-18586 (NVD) : 5.3 CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:NAffected Products: openSUSE Leap 15.3______________________________________________________________________________ An update that fixes one vulnerability is now available.Description: This update for libmspack fixes the following issues: - CVE-2018-18586: Fixed directory traversal in chmextract by adding anti "../" and leading slash protection (bsc#1113040).Patch Instructions: To install this openSUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: - openSUSE Leap 15.3: zypper in -t patch openSUSE-SLE-15.3-2022-69=1Package List: - openSUSE Leap 15.3 (aarch64 ppc64le s390x x86_64): libmspack-debugsource-0.6-3.14.1 libmspack-devel-0.6-3.14.1 libmspack0-0.6-3.14.1 libmspack0-debuginfo-0.6-3.14.1 mspack-tools-0.6-3.14.1 mspack-tools-debuginfo-0.6-3.14.1 - openSUSE Leap 15.3 (x86_64): libmspack0-32bit-0.6-3.14.1 libmspack0-32bit-debuginfo-0.6-3.14.1References: https://www.suse.com/security/cve/CVE-2018-18586.html https://bugzilla.suse.com/1113040

More...